MEASERL(1)

NAME
measerl - Measure the echo-return loss on Voicetronix telephony hardware

SYNOPSIS
measerl [options]

DESCRIPTION
The measerl utility tests the echo-return loss on the phone line. For hardware that supports it, it can scan through bybrid balance register settings to help establish a lower ERL. Having a lower ERL improves DTMF cutthrough and audio quality. The software echo cancellation needs at least -6dB before it can make a difference.

FXS (station) ports should perform this test using the --nohook option with the handset already off hook and the microphone muted.

FXO (trunk) ports will answer to an incoming call.

A series of tones will be played down the line to determine the ERL in several parts of the audio spectrum. You should avoid creating any other noise on the line while this test is running, or the results may be skewed.

OPTIONS
The following options are available:

--help, -?
    Show summary of options.

--card number
    Explicitly select the card to test. Default is card 0.

--port number
    Explicitly select the port to test. Default is port 0 of the card being tested.

--nohook
    Use this option for testing station (FXS) ports.

--offhook
    Take an FXO port off hook immediately. Don't wait for an incoming ring.

--bal1 value

--bal2 value

--bal3 value
    Set codec hybrid balance registers. Only for hardware which explicitly supports that.

--ec
    Enable the echo canceller.

--pg gain
    Set codec play gain. Values may range from -12.0 to 12.0.

--rg gain
    Set codec record gain. Values may range from -12.0 to 12.0.

--dial port
    Dial out another port on the same card.

--dial port number
    Dial number from port on the same card.

--scan file start end step
    Scan the hybrid balance register settings from start to end in increments of step, recording the results to file. Only for hardware that explicitly permits setting these registers. Valid values for the start and end are in the range 0 - 255.

--autoscan
    Automatically scan the codec balance values.

--handset
    Proto handset mode.

--loop
    Enable software loopback.

--hostecho
    Enable the host based echo canceller.

SEE ALSO
vpbecho(1), ringstat(1)

AUTHOR
Ron Lee, Peter Wintulich, David Rowe, Voicetronix <support@voicetronix.com.au>

This manual page was written by Ron <ron@debian.org>, for the Debian project (but may be used by others).